Update a Playbook Step Assertion - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Playbook Step Assertion
Endpoint
PATCH /v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}
Example Requests
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"params": {}
}'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}"
payload = { "params": {} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript using Fetch
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({params: {}})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'params' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}"
payload := strings.NewReader("{\n \"params\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"params\": {}\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"params\": {}\n}"
response = http.request(request)
puts response.read_body
Possible Response Codes
- 204: Playbook Step Assertion successfully updated.
- 400: Bad Request Error - Validation failed. Missing payload.
- 401: Unauthorized Error
- 402: Payment Required Error
- 403: Forbidden Error
- 404: Not Found Error
- 405: Method Not Allowed Error
- 409: Conflict Error
- 413: Payload Too Large Error
- 500: Internal Server Error
- 501: Not Implemented Error
- 502: Bad Gateway Error
- 503: Service Unavailable Error
- 504: Gateway Timeout Error
Authorizations
| Parameter | Type | Requirement |
|---|---|---|
| X-API-Key | string | required |
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv.